Package com.xebialabs.xlrelease.variable

## Class VariablesGraphResolver.Var$

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariablesGraphResolver.Var$

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    VariablesGraphResolver

      public static class VariablesGraphResolver.Var$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VariablesGraphResolver.Var$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Var$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,​V extends Variable> VariablesGraphResolver.Var<A,​V>` | `apply​(A value, V variable, boolean resolved)` |
    `java.lang.String` | `toString()` |
    `<A,​V extends Variable> scala.Option<scala.Tuple3<A,​V,​java.lang.Object>>` | `unapply​(VariablesGraphResolver.Var<A,​V> x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final VariablesGraphResolver.Var$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### Var$

          public Var$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### apply

          public <A,​V extends Variable> VariablesGraphResolver.Var<A,​V> apply​(A value,
                                                                                          V variable,
                                                                                          boolean resolved)

    - #### unapply

          public <A,​V extends Variable> scala.Option<scala.Tuple3<A,​V,​java.lang.Object>> unapply​(VariablesGraphResolver.Var<A,​V> x$0)